# Created by pyp2rpm-3.3.4
%global pypi_name boutdata

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        1%{?dist}
Summary:        Python package for collecting BOUT++ data

License:        LGPLv3+
URL:            http://boutproject.github.io
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# From setup_requires in setup.py:
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4
BuildRequires:  python3dist(setuptools-scm-git-archive)
# For tests:
BuildRequires:  python3dist(pytest)

%description
Python interface for reading bout++ data files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Python interface for reading bout++ data files.

%generate_buildrequires
%pyproject_buildrequires -r


%prep
%autosetup -n %{pypi_name}-%{version} -p 1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/bout-squashoutput


%changelog
* Mon Aug 23 2021 David <davidsch@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 David <davidsch@fedoraproject.org> - 0.1.3-1
- Apply suggestions from review

* Sat Jan 09 2021 David <davidsch@fedoraproject.org> - 0.1.3-0.1
- Update to 0.1.3

* Wed Dec 30 2020 David <davidsch@fedoraproject.org> - 0.1.2-0.2
- Include patches.

* Fri Sep 18 2020 David <davidsch@fedoraproject.org> - 0.1.2-0.1
- Initial package.
